VoiceDock Docs
ApiS I P Trunks

Create a SIP trunk

Create a new SIP trunk for call transfers. Passwords are stored securely in Vault.

POST
/sip-trunks

Create a new SIP trunk for call transfers. Passwords are stored securely in Vault.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/sip-trunks" \  -H "Content-Type: application/json" \  -d '{    "name": "Main Office PBX",    "provider": "Twilio",    "address": "sip.twilio.com"  }'
{
  "trunk": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "Main Office PBX",
    "provider": "Twilio",
    "address": "sip.twilio.com",
    "auth_username": "string",
    "numbers": [
      "string"
    ],
    "transport": "udp",
    "is_active": true,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}